Change the specified card’s PIN.
IMPORTANT:
This API method contains PCI sensitive information.
- Session-Id="Encrypted" AES Key e-g (AB521456236KHU52) is required for encryption of sensitive data.
You can read more on how our Secure API’s work here.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet |
| newPIN | String | special - see description | ✓ | The new PIN number for the card, the length is defined by the PIN length set up in your campaign. (Encrypted). |
| IV | String | ✓ | The key with which encrypted data in response is encrypted. (Key used for encryption). | |
| transactionID | String | 1-255 characters | ✓ | a unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | The calculated HMAC-SHA256 signature of the call as specified in the IMPORTANT section at the top |
<methodCall>
<methodName>ChangePin</methodName>
<params>
<param>
<value>
<string>0014682067</string>
</value>
</param>
<param>
<value>
<string>TESTTTK</string>
</value>
</param>
<param>
<value>
<string>4987057272502351</string>
</value>
</param>
<param>
<value>
<string>GB65YU</string>
</value>
</param>
<param>
<value>
<string> GHT67KMJ983UJGB678TGEW</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200327T00:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>07B15A4A5D7E9DCB1F96094C2F011AD51CD6364A</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result. |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>